Index: Include/Classes/System/Diagnostics/TraceListener.ab
===================================================================
--- Include/Classes/System/Diagnostics/TraceListener.ab	(revision 147)
+++ Include/Classes/System/Diagnostics/TraceListener.ab	(revision 246)
@@ -1,106 +1,111 @@
+Namespace System
+	Namespace Diagnostics
 
-' リスナ
-Class TraceListener
-	indentLevel As Long
-	indentSize As Long
+		' リスナ
+		Class TraceListener
+			indentLevel As Long
+			indentSize As Long
 
-Protected
-	Function GetIndentString() As String
-		Dim i As Long
+		Protected
+			Function GetIndentString() As String
+				Dim i As Long
 
-		Dim IndentStr = ""
-		For i = 0 To ELM( indentSize )
-			IndentStr = IndentStr + " "
-		Next
+				Dim IndentStr = ""
+				For i = 0 To ELM( indentSize )
+					IndentStr = IndentStr + " "
+				Next
 
-		Dim ResultStr = ""
-		For i = 0 To ELM( indentLevel )
-			ResultStr = ResultStr + IndentStr
-		Next
+				Dim ResultStr = ""
+				For i = 0 To ELM( indentLevel )
+					ResultStr = ResultStr + IndentStr
+				Next
 
-		Return ResultStr
-	End Function
+				Return ResultStr
+			End Function
 
-Public
-	Sub TraceListener()
-		indentLevel = 0
-		indentSize = 4
-	End Sub
+		Public
+			Sub TraceListener()
+				indentLevel = 0
+				indentSize = 4
+			End Sub
 
-	' コピーコンストラクタ
-	Sub TraceListener( ByRef listener As TraceListener )
-		indentLevel = listener.indentLevel
-		indentSize = listener.indentSize
-	End Sub
+			' コピーコンストラクタ
+			Sub TraceListener( ByRef listener As TraceListener )
+				indentLevel = listener.indentLevel
+				indentSize = listener.indentSize
+			End Sub
 
 
-	'----------------------------------------------------------------
-	' パブリック コンストラクタ
-	'----------------------------------------------------------------
+			'----------------------------------------------------------------
+			' パブリック コンストラクタ
+			'----------------------------------------------------------------
 
-	Virtual Sub Write( message As String )
-		'派生クラスで実装 (基底では何もしない）
-	End Sub
-	Virtual Sub Write( value As Object )
-		Write( value.ToString() )
-	End Sub
-	Virtual Sub Write( value As Object, category As String )
-		Write( category + ": " + value.ToString() )
-	End Sub
-	Virtual Sub Write( message As String, category As String )
-		Write( category + ": " + message )
-	End Sub
+			Virtual Sub Write( message As String )
+				'派生クラスで実装 (基底では何もしない）
+			End Sub
+			Virtual Sub Write( value As Object )
+				Write( value.ToString() )
+			End Sub
+			Virtual Sub Write( value As Object, category As String )
+				Write( category + ": " + value.ToString() )
+			End Sub
+			Virtual Sub Write( message As String, category As String )
+				Write( category + ": " + message )
+			End Sub
 
-	Virtual Sub WriteLine( message As String )
-		'派生クラスで実装 (基底では何もしない）
-	End Sub
-	Virtual Sub WriteLine( value As Object )
-		WriteLine( value.ToString() )
-	End Sub
-	Virtual Sub WriteLine( value As Object, category As String )
-		WriteLine( category + ": " + value.ToString() )
-	End Sub
-	Virtual Sub WriteLine( message As String, category As String )
-		WriteLine( category + ": " + message )
-	End Sub
+			Virtual Sub WriteLine( message As String )
+				'派生クラスで実装 (基底では何もしない）
+			End Sub
+			Virtual Sub WriteLine( value As Object )
+				WriteLine( value.ToString() )
+			End Sub
+			Virtual Sub WriteLine( value As Object, category As String )
+				WriteLine( category + ": " + value.ToString() )
+			End Sub
+			Virtual Sub WriteLine( message As String, category As String )
+				WriteLine( category + ": " + message )
+			End Sub
 
 
-	'----------------------------------------------------------------
-	' パブリック プロパティ
-	'----------------------------------------------------------------
+			'----------------------------------------------------------------
+			' パブリック プロパティ
+			'----------------------------------------------------------------
 
-	' IndentLevelプロパティ
-	Function IndentLevel() As Long
-		Return indentLevel
-	End Function
-	Sub IndentLevel( indentLevel As Long )
-		This.indentLevel = indentLevel
-	End Sub
+			' IndentLevelプロパティ
+			Function IndentLevel() As Long
+				Return indentLevel
+			End Function
+			Sub IndentLevel( indentLevel As Long )
+				This.indentLevel = indentLevel
+			End Sub
 
-	' IndentSizeプロパティ
-	Function IndentSize() As Long
-		Return indentSize
-	End Function
-	Sub IndentSize( size As Long )
-		indentSize = size
-	End Sub
-End Class
+			' IndentSizeプロパティ
+			Function IndentSize() As Long
+				Return indentSize
+			End Function
+			Sub IndentSize( size As Long )
+				indentSize = size
+			End Sub
+		End Class
 
-' デフォルトリスナ（デバッガビューへの出力）
-Class DefaultTraceListener
-	Inherits TraceListener
-Public
+		' デフォルトリスナ（デバッガビューへの出力）
+		Class DefaultTraceListener
+			Inherits TraceListener
+		Public
 
-	Override Sub Write( message As String )
-		' デバッグビューへ出力
-		Dim tempStr = GetIndentString() + message
-		OutputDebugString( tempStr )
+			Override Sub Write( message As String )
+				' デバッグビューへ出力
+				Dim tempStr = GetIndentString() + message
+				OutputDebugString( tempStr )
 
-		' デバッグログへ書き込む
-		' TODO: 実装
-	End Sub
+				' デバッグログへ書き込む
+				' TODO: 実装
+			End Sub
 
-	Override Sub WriteLine( message As String )
-		Write( GetIndentString() + message + Ex"\r\n" )
-	End Sub
-End Class
+			Override Sub WriteLine( message As String )
+				Write( GetIndentString() + message + Ex"\r\n" )
+			End Sub
+		End Class
+
+	End Namespace
+End Namespace
